Attend the Women in ML Symposium on December 7 Register now

Installing TensorFlow Graphics

Stay organized with collections Save and categorize content based on your preferences.

Stable builds

TensorFlow Graphics depends on TensorFlow 1.13.1 or above. Nightly builds of TensorFlow (tf-nightly) are also supported.

To install the latest CPU version from PyPI, run the following:

# Installing with the `--upgrade` flag ensures you'll get the latest version.
pip install --upgrade tensorflow-graphics

and to install the latest GPU version, run:

# Installing with the `--upgrade` flag ensures you'll get the latest version.
pip install --upgrade tensorflow-graphics-gpu

For additional installation help, guidance installing prerequisites, and (optionally) setting up virtual environments, see the TensorFlow installation guide.

Installing from source - macOS/Linux

You can also install from source by executing the following commands:

git clone https://github.com/tensorflow/graphics.git
sh build_pip_pkg.sh
pip install --upgrade dist/*.whl

Installing optional packages - Linux

To use the TensorFlow Graphics EXR data loader, OpenEXR needs to be installed. This can be done by running the following commands:

sudo apt-get install libopenexr-dev
pip install --upgrade OpenEXR